picocli

## Class CommandLine.MutuallyExclusiveArgsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - picocli.CommandLine.PicocliException
        - - picocli.CommandLine.ParameterException
          - - picocli.CommandLine.MutuallyExclusiveArgsException

All Implemented Interfaces:
  Serializable

Enclosing class:
  CommandLine

    public static class CommandLine.MutuallyExclusiveArgsException
    extends CommandLine.ParameterException

Exception indicating that the user input included multiple arguments from a mutually exclusive group.

Since:
  4.0
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MutuallyExclusiveArgsException(CommandLine commandLine, String msg)`

### Method Summary

### Methods inherited from class picocli.CommandLine.ParameterException

`getArgSpec, getCommandLine, getValue`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MutuallyExclusiveArgsException

    public MutuallyExclusiveArgsException(CommandLine commandLine,
                                          String msg)